Bug 176879 - Abiword, Gnumeric, Shotwell and Equinox engine don't compile
Abiword, Gnumeric, Shotwell and Equinox engine don't compile
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-12 12:50 UTC by pkubaj
Modified: 2013-03-20 02:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pkubaj 2013-03-12 12:50:00 UTC
After update of pcre, pcre_info function was removed. Goffice compiled
with new pcre causes compilation of Gnumeric and Abiword to fail.

Also, after update of glib, gtk-equinox-engine also fails to compile with
following error: 

/usr/local/include/glib-2.0/glib/gtimer.h:28:2: error: "Only <glib.h> can be included directly."

After the same update, Shotwell compilation fails because of using the
now deprecated GTK 2.0.

Fix: For Abiword and Gnumeric:
http://trac.macports.org/browser/trunk/dports/gnome/goffice/files/patch-goffice-utils-regutf8.c.diff?rev=94133

For Equinox engine:


I don't have a fix for Shotwell.--icuwVWs7h1CdMORPD49AcmYkx4luR7qodavPWBQ91yx3oYD2
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- /usr/ports/x11-themes/gtk-equinox-engine/work/equinox-1.50/src/animation.c   2013-03-12 13:40:06.837559287 +0100
+++ /usr/ports/x11-themes/gtk-equinox-engine/work/equinox-1.50/src/animation.c.orig      2013-03-12 13:39:39.726562012 +0100
@@ -7,7 +7,7 @@
 #include "animation.h"
 
 #ifdef HAVE_ANIMATION
-#include <glib.h>
+#include <glib/gtimer.h>
 
 struct _AnimationInfo {
        GTimer *timer;
How-To-Repeat: portmaster editors/abiword math/gnumeric graphics/shotwell
x11-themes/gtk-equinox-engine
Comment 1 Mark Linimon freebsd_committer 2013-03-17 15:04:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

over to abiword maintainers.
Comment 2 dfilter freebsd_committer 2013-03-17 16:45:13 UTC
Author: kwm
Date: Sun Mar 17 16:45:03 2013
New Revision: 314462
URL: http://svnweb.freebsd.org/changeset/ports/314462

Log:
  Fix build with glib-2.34.
  
  PR:		ports/176879
  Submitted by:	Piotr Kubaj <pkubaj@gmail.com>

Modified:
  head/x11-themes/gtk-equinox-engine/Makefile

Modified: head/x11-themes/gtk-equinox-engine/Makefile
==============================================================================
--- head/x11-themes/gtk-equinox-engine/Makefile	Sun Mar 17 16:44:33 2013	(r314461)
+++ head/x11-themes/gtk-equinox-engine/Makefile	Sun Mar 17 16:45:03 2013	(r314462)
@@ -45,6 +45,8 @@ post-patch:
 	@${FIND} ${WRKDIR} -name 'gtkrc' -exec \
 	    ${REINPLACE_CMD} -e 's!^include "apps/nautilus\.rc"!#&!' {} +
 	@${FIND} ${WRKDIR} -type f -name 'gtkrc.bak' -exec ${RM} -f {} +
+	@${REINPLACE_CMD} -e 's|glib/.*\.h>|glib.h>|g' \
+		${WRKSRC}/src/animation.c
 
 post-install:
 	@${MKDIR} ${DATADIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 kwm 2013-03-17 16:51:12 UTC
Please update your ports. Goffice was fixed on 13th of March. And I just 
successfully rebuild abiword and gnumeric. Shotwell probably needs a 
update. I patched gtk-equinox-engine just now, thanks. Let me know if 
you still have problems.
Comment 4 pkubaj 2013-03-18 07:29:16 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 03/17/2013 17:51, Koop Mast wrote:
> Please update your ports. Goffice was fixed on 13th of March. And I
> just successfully rebuild abiword and gnumeric. Shotwell probably
> needs a update. I patched gtk-equinox-engine just now, thanks. Let
> me know if you still have problems.
Yes, I know about Goffice. Thanks.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (FreeBSD)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQIcBAEBAgAGBQJRRsJMAAoJEC9nKukRsfY+YJgP/RpNY99N5+dn1q73h4AWDuyE
gZ+ptGcNKiXtgYYOvquopn51RDBIhULrfDKaSY/hBjB5bRAqAwRm9VDv9MRhX9VP
tfjZf67bk+aLqvrdQQtqy1PnBsYBW8U9AKAOJloZVBMDlSf5Mi6tSg1sdIGds0Qx
+1Cm+i+a/aGBqgRT34NlAwUC+vYzn1cI/z8ez0irXtRyVzjZwt8xD6q6+i43N/p2
E2ug/kvOyd2qzBoesJ5My1LcynSgaHGyp34e2ogb9yAV683fjVMRKpdN3J3Uwxfp
u1JDMctj+JjjbVgXr59F9pyKMxyD5z+nIGQJ56zv/jL44AUcg/Y5AZSQE4QM9+Zi
c9I57iDl/rpan1fvzPf1HC0MwMZigtjSYwYQhH9yaBeBK7G5HJPpSisTmC6VC3XS
WIsrbGNbbmlrMSOtrNW+s+vlTQOfwgLBsdFXQbi/NZoAouGYkMxAcbE+Z7l4cinm
qeCl2WObxJBh3AK6V/O5kDTO4asHhKxi4Aby5W/y7kHOgWy5A8owvP0B99Ddmw7N
fCgklDrsBEbuuT91xFutkwX4khSDdkdA1HsdlfKFHnLAhweu22Jg2FaEc/XvGBe9
7Uf0foHfK0hgbcXTb9fP3DVt0KeAxktJrCsI1ephE/8fnMqXv1GmOzyvgPcIJ2Zf
pp1s1qaBM3Knaz5p+kmT
=YuaM
-----END PGP SIGNATURE-----
Comment 5 mezz freebsd_committer 2013-03-20 02:55:12 UTC
State Changed
From-To: open->closed

kwm has fixed those.